## urisourcebin urisourcebin |

## Description

urisourcebin is an element for accessing URIs in a uniform manner.

It handles selecting a URI source element and potentially download buffering for network sources. It produces one or more source pads, depending on the input source, for feeding to decoding chains or decodebin.

The main configuration is via the “uri” property.

urisourcebin is still experimental API and a technology preview. Its behaviour and exposed API is subject to change.

## Synopsis

### Element Information

plugin | playback
author | Jan Schmidt <jan@centricular.com>
class | Generic/Bin/Source

### Element Pads

name | src_%u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values